Bug 426657 - Kernel update fails due to SELinux policy
Kernel update fails due to SELinux policy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 18:30 EST by James Morris
Modified: 2008-01-03 14:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 14:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Morris 2007-12-23 18:30:19 EST
Description of problem:

In current rawhide, updating the kernel package fails (partially), where depmod
cannot be run, and the kernel update is botched & non-bootable.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.2.5-4.fc9

How reproducible:

always

Steps to Reproduce:
1. rpm -Uvh kernel-2.6.24-0.123.rc6.fc9.x86_64.rpm --force

  
Actual results:

Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
/sbin/new-kernel-pkg: line 254: /sbin/depmod: Permission denied
type=SELINUX_ERR msg=audit(1198451834.117:33): security_compute_sid:  invalid
context unconfined_u:unconfined_r:depmod_t:s0-s0:c0.c1023 for
scontext=unconfined_u:unconfined_r:rpm_script_t:s0-s0:c0.c1023
tcontext=system_u:object_r:depmod_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1198451834.117:33): arch=c000003e syscall=59 success=no
exit=-13 a0=8e0d70 a1=8c8670 a2=8cd210 a3=8 items=0 ppid=2492 pid=2500 auid=0
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0
comm="new-kernel-pkg" exe="/bin/bash"
subj=unconfined_u:unconfined_r:rpm_script_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2007-12-24 07:25:42 EST
Fixed in selinux-policy-3.2.5-5.fc9
Comment 2 James Morris 2007-12-31 20:19:30 EST
Appears to work for me.

Note You need to log in before you can comment on or make changes to this bug.